summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Heinz Wiesinger <HMWiesinger@gmx.at>2010-05-11 19:46:10 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 19:46:10 +0200
commitebb6597c1ad89a1603f4dca8f64d58f40a636da1 (patch)
treeecbd2748e35c87c6d9c5bf9a902b6ca77cbd14f6 /office
parentc4ab8bb319156cbe2ec03fe0daafc8dc6431ae1a (diff)
downloadslackbuilds-ebb6597c1ad89a1603f4dca8f64d58f40a636da1.tar.gz
slackbuilds-ebb6597c1ad89a1603f4dca8f64d58f40a636da1.tar.xz
office/acroread: Updated for version 8.1.2
Diffstat (limited to 'office')
-rw-r--r--office/acroread/README14
-rw-r--r--office/acroread/acroread-libgtk-sed.patch12
-rw-r--r--office/acroread/acroread.SlackBuild70
-rw-r--r--office/acroread/acroread.info10
-rw-r--r--office/acroread/slack-desc10
5 files changed, 54 insertions, 62 deletions
diff --git a/office/acroread/README b/office/acroread/README
index 32ecc1e088..858acd86a0 100644
--- a/office/acroread/README
+++ b/office/acroread/README
@@ -1,7 +1,13 @@
Adobe's Acrobat Reader application (official binary) repackaged
in "Slackware style" for easier system maintenance.
-The SlackBuild script includes an optional patch you can apply
-to fix a syntax error when using acroread with gtk+ >= 2.10
-If you need the patch, uncomment that line in the script.
-
+You will need to tell Acrobat Reader where to find the HTML rendering
+library; it's a simple process:
+ Click on "Edit" --> "Preferences" --> "Internet" Category
+ In the box labeled "libgtkembedmoz Folder" enter the following:
+ /usr/lib/seamonkey
+
+ Alternatively, create the following file:
+ $HOME/.adobe/Acrobat/8.0/Preferences/acrogre.conf
+ with the following contents:
+ /usr/lib/seamonkey
diff --git a/office/acroread/acroread-libgtk-sed.patch b/office/acroread/acroread-libgtk-sed.patch
deleted file mode 100644
index 3afe199aa1..0000000000
--- a/office/acroread/acroread-libgtk-sed.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -Nur AdobeReader.orig/bin/acroread AdobeReader/bin/acroread
---- AdobeReader.orig/bin/acroread 2007-01-05 13:56:39.000000000 -0600
-+++ AdobeReader/bin/acroread 2007-03-26 13:10:02.000000000 -0500
-@@ -415,7 +415,7 @@
- return 1
- fi
-
-- echo $mfile| sed 's/libgtk-x11-\([0-9]*\).0.so.0.\([0-9]\)00.\([0-9]*\)\|\(.*\)/\1\2\3/g'
-+ echo $mfile| sed 's/libgtk-x11-\([0-9]*\).0.so.0.\([0-9]\)000.\([0-9]*\)\|\(.*\)/\1\2\3/g'
- return 0
- fi
-
diff --git a/office/acroread/acroread.SlackBuild b/office/acroread/acroread.SlackBuild
index 33adce042f..e71ac13fcd 100644
--- a/office/acroread/acroread.SlackBuild
+++ b/office/acroread/acroread.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for acroread - binary repackaging
-# Copyright 2006-2007 Robby Workman (http://rlworkman.net)
+# Copyright 2006-2008 Robby Workman (http://rlworkman.net)
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,31 +25,27 @@
# Thanks to Andrew Brouwers for the original SlackBuild script and for
# permission to modify it as needed.
-# Modified by the SlackBuilds.org project
-
PRGNAM=acroread
-VERSION=7.0.9
-ARCH=i386 # Leave this alone for acroread
-BUILD=${BUILD:-3}
+VERSION=8.1.2
+ARCH=i486 # Leave this alone for acroread
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# If you want to keep the PPKLite plugin (you have OpenLDAP installed),
-# then change the value below to NO
-# I've received reports of getting an error message about the plugin
-# even with OpenLDAP installed, so if you get the error, disable the
-# plugin
-REMOVEPPK=YES
-
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+#You can use LANG for installing a different lang version of acroread
+ADOBE_LANG=${ADOBE_LANG:-enu}
+
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf AdobeReader*
-tar -xzvf $CWD/AdobeReader_enu-$VERSION-1.${ARCH}.tar.gz || exit 1
+tar xvf $CWD/AdobeReader_$ADOBE_LANG-$VERSION-1.i486.tar.bz2
# Create directory structure and extract files from archives
mkdir -p $PKG/opt/acroread $PKG/usr/bin
@@ -57,67 +53,61 @@ cd $PKG/opt/acroread
tar -xf $TMP/AdobeReader/COMMON.TAR
tar -xf $TMP/AdobeReader/ILINXR.TAR
-# Patch to fix an Adobe bug - see this link for more information:
-# http://www.adobeforums.com/cgi-bin/webx/.3bc35df4
-# Only apply this patch if you experience problems with syntax
-# errors when runnng acroread
-#cat $CWD/acroread-libgtk-sed.patch | patch -p1 || exit 1
+#Some location cleanup
+mv $PKG/opt/acroread/Adobe/* $PKG/opt/acroread/
+rm -rf $PKG/opt/acroread/Adobe
# Remove stuff we don't need
-rm -rf Reader/HowTo
-rm -r Browser/{HowTo,install_browser_plugin}
-
-# Remove access to the PPKLite plugin (eliminate error message)
-if [ "$REMOVEPPK" = "YES" ]; then
- chmod 000 Reader/intellinux/plug_ins/PPKLite.api
-fi
+rm -rf Reader8/Reader/HowTo
+rm -r Reader8/Browser/{HowTo,install_browser_plugin}
# Add symlink for binary to /usr/bin
cd $PKG/usr/bin
- ln -s ../../opt/acroread/bin/acroread acroread
+ ln -s /opt/acroread/Reader8/bin/acroread acroread
cd -
# Add symlink for browser plugins
mkdir -p $PKG/usr/lib/mozilla/plugins
cd $PKG/usr/lib/mozilla/plugins
- ln -s ../../../../opt/acroread/Browser/intellinux/nppdf.so nppdf.so
+ ln -s /opt/acroread/Reader8/Browser/intellinux/nppdf.so nppdf.so
cd -
# Add symlink to AdobeReader.xml for correct mimetype
mkdir -p $PKG/usr/share/mime/packages
cd $PKG/usr/share/mime/packages
- ln -s ../../../../opt/acroread/Resource/Support/AdobeReader.xml \
- AdobeReader.xml
+ rm -f AdobeReader.xml
+ ln -s /opt/acroread/Reader8/Resource/Support/AdobeReader.xml AdobeReader.xml
cd -
# Fix symlink to .desktop file
mkdir -p $PKG/usr/share/{applications,pixmaps}
cd $PKG/usr/share/applications
- rm -rf AdobeReader.desktop
- ln -sf ../../../opt/acroread/Resource/Support/AdobeReader_GNOME.desktop \
+ rm -f AdobeReader.desktop
+ ln -sf /opt/acroread/Reader8/Resource/Support/AdobeReader.desktop \
AdobeReader.desktop
cd -
# Link icon to /usr/share/pixmaps
cd $PKG/usr/share/pixmaps
- rm -rf AdobeReader.png
- ln -sf ../../../opt/acroread/Resource/Icons/AdobeReader.png AdobeReader.png
+ rm -f AdobeReader.png
+ ln -sf /opt/acroread/Reader8/Resource/Icons/48x48/AdobeReader8.png AdobeReader8.png
cd -
-# Fix path to icon in .desktop file so that it works with kde in /opt/kde
-sed -i 's%Icon=AdobeReader.png%Icon=/usr/share/pixmaps/AdobeReader.png%' \
- $PKG/opt/acroread/Resource/Support/AdobeReader_GNOME.desktop || exit 1
+# Move docs to their correct locations
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $TMP/AdobeReader/ReadMe.htm $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
-# Fix permissions
+# Fix ownership and permissions
cd $PKG
find . -type d -exec chmod 755 {} \;
+chown -R root:root .
chmod -R a-s,u+w,go+r-w .
# No stripping of binaries and such, as Firefox doesn't like naked acroread :D
# Just build the package... ;P
/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
-
diff --git a/office/acroread/acroread.info b/office/acroread/acroread.info
index 83bcc56f47..f8794ea9c0 100644
--- a/office/acroread/acroread.info
+++ b/office/acroread/acroread.info
@@ -1,8 +1,8 @@
PRGNAM="acroread"
-VERSION="7.0.9"
+VERSION="8.1.2"
HOMEPAGE="http://www.adobe.com/"
-DOWNLOAD="http://ardownload.adobe.com/pub/adobe/reader/unix/7x/7.0.9/enu/AdobeReader_enu-7.0.9-1.i386.tar.gz"
-MD5SUM="a8e79a1af58f90640cf9e7e1532a5745"
-MAINTAINER="Robby Workman"
-EMAIL="rw@rlworkman.net"
+DOWNLOAD="http://ardownload.adobe.com/pub/adobe/reader/unix/8.x/8.1.2/enu/AdobeReader_enu-8.1.2-1.i486.tar.bz2"
+MD5SUM="b530dd4f198764bf3f883293a0186ce4"
+MAINTAINER="ppr:kut"
+EMAIL="HMWiesinger@gmx.at"
APPROVED="rworkman"
diff --git a/office/acroread/slack-desc b/office/acroread/slack-desc
index ace27251e7..a8c4e40b1f 100644
--- a/office/acroread/slack-desc
+++ b/office/acroread/slack-desc
@@ -1,4 +1,12 @@
-acroread: Adobe Acrobat Reader
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+acroread: acroread (Adobe Acrobat Reader)
acroread:
acroread: Adobe's Acrobat Reader application (official binary) repackaged
acroread: in "Slackware style" for easier system maintenance.